> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/python/container-registry/api/artifactsapi.md).

# ArtifactsApi

## ArtifactsApi

All URIs are relative to *<https://api.ionos.com/containerregistries>*

| Method                                                                                                                  | HTTP request                                                                                      | Description                          |
| ----------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------- | ------------------------------------ |
| [**registries\_artifacts\_get**](#registries_artifacts_get)                                                             | **GET** /registries/{registryId}/artifacts                                                        | Retrieve all Artifacts by Registry   |
| [**registries\_repositories\_artifacts\_find\_by\_digest**](#registries_repositories_artifacts_find_by_digest)          | **GET** /registries/{registryId}/repositories/{repositoryName}/artifacts/{digest}                 | Retrieve Artifact                    |
| [**registries\_repositories\_artifacts\_get**](#registries_repositories_artifacts_get)                                  | **GET** /registries/{registryId}/repositories/{repositoryName}/artifacts                          | Retrieve all Artifacts by Repository |
| [**registries\_repositories\_artifacts\_vulnerabilities\_get**](#registries_repositories_artifacts_vulnerabilities_get) | **GET** /registries/{registryId}/repositories/{repositoryName}/artifacts/{digest}/vulnerabilities | Retrieve all Vulnerabilities         |

## **registries\_artifacts\_get**

> RegistryArtifactsReadList registries\_artifacts\_get(registry\_id, offset=offset, limit=limit, filter\_vulnerability\_id=filter\_vulnerability\_id, order\_by=order\_by)

Retrieve all Artifacts by Registry

This endpoint enables retrieving all Artifacts using pagination and optional filters.

#### Example

#### Parameters

| Name                          | Type    | Description                                                                                                           | Notes                                  |
| ----------------------------- | ------- | --------------------------------------------------------------------------------------------------------------------- | -------------------------------------- |
| **registry\_id**              | **str** | The ID (UUID) of the Registry.                                                                                        |                                        |
| **offset**                    | **int** | The first element (of the total list of elements) to include in the response. Use together with limit for pagination. | \[optional] \[default to 0]            |
| **limit**                     | **int** | The maximum number of elements to return. Use together with offset for pagination.                                    | \[optional] \[default to 100]          |
| **filter\_vulnerability\_id** | **str** | Filter resources by vulnerabilityId.                                                                                  | \[optional]                            |
| **order\_by**                 | **str** | The field to order the results by. If not provided, the results will be ordered by the default field.                 | \[optional] \[default to '-pullCount'] |

#### Return type

[**RegistryArtifactsReadList**](/cloud/python/container-registry/models/registryartifactsreadlist.md)

#### Authorization

tokenAuth

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **registries\_repositories\_artifacts\_find\_by\_digest**

> ArtifactRead registries\_repositories\_artifacts\_find\_by\_digest(registry\_id, repository\_name, digest)

Retrieve Artifact

Returns the Artifact by Digest.

#### Example

#### Parameters

| Name                 | Type    | Description                                          | Notes |
| -------------------- | ------- | ---------------------------------------------------- | ----- |
| **registry\_id**     | **str** | The ID (UUID) of the Registry.                       |       |
| **repository\_name** | **str** | The Name of the Repository.                          |       |
| **digest**           | **str** | The Digest of the Artifact that should be retrieved. |       |

#### Return type

[**ArtifactRead**](/cloud/python/container-registry/models/artifactread.md)

#### Authorization

tokenAuth

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **registries\_repositories\_artifacts\_get**

> ArtifactReadList registries\_repositories\_artifacts\_get(registry\_id, repository\_name, offset=offset, limit=limit, order\_by=order\_by)

Retrieve all Artifacts by Repository

This endpoint enables retrieving all Artifacts using pagination and optional filters.

#### Example

#### Parameters

| Name                 | Type    | Description                                                                                                           | Notes                                 |
| -------------------- | ------- | --------------------------------------------------------------------------------------------------------------------- | ------------------------------------- |
| **registry\_id**     | **str** | The ID (UUID) of the Registry.                                                                                        |                                       |
| **repository\_name** | **str** | The Name of the Repository.                                                                                           |                                       |
| **offset**           | **int** | The first element (of the total list of elements) to include in the response. Use together with limit for pagination. | \[optional] \[default to 0]           |
| **limit**            | **int** | The maximum number of elements to return. Use together with offset for pagination.                                    | \[optional] \[default to 100]         |
| **order\_by**        | **str** | The field to order the results by. If not provided, the results will be ordered by the default field.                 | \[optional] \[default to '-lastPush'] |

#### Return type

[**ArtifactReadList**](/cloud/python/container-registry/models/artifactreadlist.md)

#### Authorization

tokenAuth

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **registries\_repositories\_artifacts\_vulnerabilities\_get**

> ArtifactVulnerabilityReadList registries\_repositories\_artifacts\_vulnerabilities\_get(registry\_id, repository\_name, digest, offset=offset, limit=limit, filter\_severity=filter\_severity, filter\_fixable=filter\_fixable, order\_by=order\_by)

Retrieve all Vulnerabilities

This endpoint enables retrieving all Vulnerabilities using pagination and optional filters.

#### Example

#### Parameters

| Name                 | Type     | Description                                                                                                           | Notes                              |
| -------------------- | -------- | --------------------------------------------------------------------------------------------------------------------- | ---------------------------------- |
| **registry\_id**     | **str**  | The ID (UUID) of the Registry.                                                                                        |                                    |
| **repository\_name** | **str**  | The Name of the Repository.                                                                                           |                                    |
| **digest**           | **str**  | The Digest of the Artifact.                                                                                           |                                    |
| **offset**           | **int**  | The first element (of the total list of elements) to include in the response. Use together with limit for pagination. | \[optional] \[default to 0]        |
| **limit**            | **int**  | The maximum number of elements to return. Use together with offset for pagination.                                    | \[optional] \[default to 100]      |
| **filter\_severity** | **str**  | Filter resources by vulnerability severity.                                                                           | \[optional]                        |
| **filter\_fixable**  | **bool** | Filter resources by fixable (i.e. remediation action is available)                                                    | \[optional]                        |
| **order\_by**        | **str**  | The field to order the results by. If not provided, the results will be ordered by the default field.                 | \[optional] \[default to '-score'] |

#### Return type

[**ArtifactVulnerabilityReadList**](/cloud/python/container-registry/models/artifactvulnerabilityreadlist.md)

#### Authorization

tokenAuth

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ionos.com/cloud/python/container-registry/api/artifactsapi.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
